from django.db.models import base
from django.urls import path, include
from .views import ClassView, PlayCodeAPIView, SignatureAPIView, ViewItemViewSet, VideoViewSet, VRecordViewSet, MyViewRecordAPIView, View2ViewSet
from .views2 import AnalyseViewSet
from rest_framework import routers

router = routers.DefaultRouter()
router.register('video', VideoViewSet, basename="video")
router.register('viewrecord', VRecordViewSet, basename='viewrecord')
router.register('viewitem', ViewItemViewSet, basename='viewitem')
router.register('view2', View2ViewSet, basename='view2')
router.register('analyse', AnalyseViewSet, basename='analyse')
urlpatterns = [
    path('', include(router.urls)),
    path('video/<int:id>/myview/', MyViewRecordAPIView.as_view()),
    path('signature/', SignatureAPIView.as_view()),
    path('playcode/<str:fileId>/', PlayCodeAPIView.as_view())
]
